### Function

# AppStream IconKind to_string

#### Declaration [src]

    const gchar*
    as_icon_kind_to_string (
      AsIconKind kind
    )

#### Description [src]

Converts the enumerated value to an text representation.

#### Parameters

`kind`

  Type: `AsIconKind`

  The %AsIconKind.

#### Return value

Type: `const gchar*`

String version of `kind`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.